Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms
Class XMLFactory_1_3_0

    java.lang.Object
      org.deegree.ogcbase.XMLFactory
          org.deegree.owscommon.XMLFactory
              org.deegree.ogcwebservices.wms.XMLFactory_1_3_0

    public class XMLFactory_1_3_0

extends XMLFactory

`XMLFactory_1_3_0` is an XML factory that outputs valid WMS 1.3.0 documents. It is not intended for direct use but is used automatically by the standard `XMLFactory`.

Version:
  $Revision: 21334 $, $Date: 2009-12-09 11:52:08 +0100 (Mi, 09. Dez 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: aschmitz $

Field Summary

Fields inherited from class org.deegree.owscommon.XMLFactory
`DEEGREECSWNS, OWSNS`

Fields inherited from class org.deegree.ogcbase.XMLFactory
`GMLNS, OGCNS, XLNNS`

Constructor Summary
`XMLFactory_1_3_0()`

Method Summary
`protected static void` | `appendAttribution(Element root, Attribution attr)`
`protected static void` | `appendAuthorityURL(Element root, AuthorityURL authorityURL)`
`protected static void` | `appendCapabilityLayer(Element root, Layer layer)`
`protected static void` | `appendCapabilityRequests(Element root, OperationsMetadata operationsMetadata)`
`protected static void` | `appendContactInformation(Element root, ServiceProvider provider)`
`protected static void` | `appendDataURL(Element root, DataURL dataURL)`
`protected static void` | `appendDimension(Element root, Dimension dim)`
`protected static void` | `appendExtent(Element root, Extent extent)`
`protected static void` | `appendFeatureListURL(Element root, FeatureListURL featureListURL)`
`protected static void` | `appendIdentifier(Element root, Identifier identifier)`
`protected static void` | `appendLatLonBoundingBox(Element root, Envelope llBox)`
`protected static void` | `appendLayerBoundingBox(Element root, LayerBoundingBox lBox)`
`protected static void` | `appendLegendURL(Element root, LegendURL legendURL)`
`protected static void` | `appendMetadataURL(Element root, MetadataURL metadataURL)`
`protected static void` | `appendOperation(Element root, Operation operation)`
`protected static void` | `appendService(Element root, ServiceIdentification identification, ServiceProvider provider)`
`protected static void` | `appendStyle(Element root, Style style)`
`protected static void` | `appendStyleSheetURL(Element root, StyleSheetURL styleSheetURL)`
`protected static void` | `appendStyleURL(Element root, StyleURL styleURL)`
`static WMSCapabilitiesDocument_1_3_0` | `export(WMSCapabilities_1_3_0 capabilities)` Builds a 1.3.0 WMS capabilities document.

Methods inherited from class org.deegree.owscommon.XMLFactory
`appendAddress, appendDCP, appendException, appendMetadata, appendOperationsMetadata, appendOWSKeywords, appendOWSKeywords, appendParameter, appendPhone, appendServiceIdentification, appendServiceProvider, export, exportExceptionReport, exportExceptionReportWFS, exportExceptionReportWFS100, exportNS, maybeSetAttribute`

Methods inherited from class org.deegree.ogcbase.XMLFactory
`appendCodeList, appendEnvelope, appendFeatureId, appendGeometry, appendInterval, appendKeywords, appendKeywords, appendLonLatEnvelope, appendOnlineResource, appendPropertyPath, appendSimpleLinkAttributes, appendTemporalDomain, appendTimePeriod, appendTimePosition, appendTimeResolution, appendTypedLiteral, appendValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFactory_1_3_0

    public XMLFactory_1_3_0()

Method Detail

### export

    public static WMSCapabilitiesDocument_1_3_0 export(WMSCapabilities_1_3_0 capabilities)
                                                throws IOException

  Builds a 1.3.0 WMS capabilities document.

  Parameters:
    `capabilities` -
  Returns:
    the XML document
  Throws:
    `IOException`

### appendService

    protected static void appendService(Element root,
                                        ServiceIdentification identification,
                                        ServiceProvider provider)
                                 throws XMLParsingException

  Parameters:
    `root` -
    `identification` -
    `provider` -
  Throws:
    `XMLParsingException`

### appendContactInformation

    protected static void appendContactInformation(Element root,
                                                   ServiceProvider provider)

  Parameters:
    `root` -
    `provider` -

### appendCapabilityRequests

    protected static void appendCapabilityRequests(Element root,
                                                   OperationsMetadata operationsMetadata)
                                            throws XMLParsingException

  Parameters:
    `root` -
    `operationsMetadata` -
  Throws:
    `XMLParsingException`

### appendOperation

    protected static void appendOperation(Element root,
                                          Operation operation)

  Parameters:
    `root` -
    `operation` -

### appendCapabilityLayer

    protected static void appendCapabilityLayer(Element root,
                                                Layer layer)
                                         throws XMLParsingException

  Parameters:
    `root` -
    `layer` -
  Throws:
    `XMLParsingException`

### appendStyle

    protected static void appendStyle(Element root,
                                      Style style)

  Parameters:
    `root` -
    `style` -

### appendStyleURL

    protected static void appendStyleURL(Element root,
                                         StyleURL styleURL)

  Parameters:
    `root` -
    `styleURL` -

### appendStyleSheetURL

    protected static void appendStyleSheetURL(Element root,
                                              StyleSheetURL styleSheetURL)

  Parameters:
    `root` -
    `styleSheetURL` -

### appendLegendURL

    protected static void appendLegendURL(Element root,
                                          LegendURL legendURL)

  Parameters:
    `root` -
    `legendURL` -

### appendFeatureListURL

    protected static void appendFeatureListURL(Element root,
                                               FeatureListURL featureListURL)

  Parameters:
    `root` -
    `featureListURL` -

### appendDataURL

    protected static void appendDataURL(Element root,
                                        DataURL dataURL)

  Parameters:
    `root` -
    `dataURL` -

### appendMetadataURL

    protected static void appendMetadataURL(Element root,
                                            MetadataURL metadataURL)

  Parameters:
    `root` -
    `metadataURL` -

### appendIdentifier

    protected static void appendIdentifier(Element root,
                                           Identifier identifier)

  Parameters:
    `root` -
    `identifier` -

### appendAuthorityURL

    protected static void appendAuthorityURL(Element root,
                                             AuthorityURL authorityURL)

  Parameters:
    `root` -
    `authorityURL` -

### appendAttribution

    protected static void appendAttribution(Element root,
                                            Attribution attr)

  Parameters:
    `root` -
    `attr` -

### appendExtent

    protected static void appendExtent(Element root,
                                       Extent extent)

  Parameters:
    `root` -
    `extent` -

### appendDimension

    protected static void appendDimension(Element root,
                                          Dimension dim)

  Parameters:
    `root` -
    `dim` -

### appendLayerBoundingBox

    protected static void appendLayerBoundingBox(Element root,
                                                 LayerBoundingBox lBox)

  Parameters:
    `root` -
    `lBox` -

### appendLatLonBoundingBox

    protected static void appendLatLonBoundingBox(Element root,
                                                  Envelope llBox)

  Parameters:
    `root` -
    `llBox` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org